datafu-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ohad Raviv (Jira)" <j...@apache.org>
Subject [jira] [Commented] (DATAFU-153) datafu-spark tests fail with Python 3
Date Fri, 27 Mar 2020 08:45:00 GMT

    [ https://issues.apache.org/jira/browse/DATAFU-153?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17068425#comment-17068425
] 

Ohad Raviv commented on DATAFU-153:
-----------------------------------

Hi Matthew, i think python 3 is important enough for us to support it from the first release.

I've created the fix.

> datafu-spark tests fail with Python 3
> -------------------------------------
>
>                 Key: DATAFU-153
>                 URL: https://issues.apache.org/jira/browse/DATAFU-153
>             Project: DataFu
>          Issue Type: Bug
>            Reporter: Matthew Hayes
>            Priority: Major
>          Time Spent: 10m
>  Remaining Estimate: 0h
>
> When local Python version is 3.x, there is an error thrown from SparkPythonRunner due
to execfile not being in Python 3.  The tests work for Python 2.7.
> {code:java}
> java.lang.RuntimeException: python bridge error: 
> Python 3.6.0 (default, Jun  6 2018, 13:47:36) 
> [GCC 4.2.1 Compatible Apple LLVM 9.1.0 (clang-902.0.39.2)] on darwin
> Type "help", "copyright", "credits" or "license" for more information.
> >>> >>> ... ... ... ... ... ... Traceback (most recent call last):
>   File "<stdin>", line 2, in <module>
> NameError: name 'execfile' is not defined
> 	at org.apache.spark.datafu.deploy.SparkPythonRunner.execFile(SparkPythonRunner.scala:134)
> 	at org.apache.spark.datafu.deploy.SparkPythonRunner.runPyFile(SparkPythonRunner.scala:49)
{code}



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message